Bug 169618 - tool creates duplicate listen 443 field
tool creates duplicate listen 443 field
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-httpd (Show other bugs)
11
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-30 06:47 EDT by bob mckay
Modified: 2015-07-31 16:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:20:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bob mckay 2005-09-30 06:47:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.7) Gecko/20040616

Description of problem:
I'm creating two separate virtual hosts, one to serve http and the other to serve https (so I can have separate document trees and reduce risks of inadvertent security holes). The bug may or may not depend on this. 

The tool creates a listen <host>:443 directive in httpd.conf; but there is already a listen 443 directive in ssl.conf, which is activated by turning ssl on. Hence there is a duplicate listener on 443, causing a crash when httpd is started.

                                

Version-Release number of selected component (if applicable):
system-config-httpd-1.3.2-2

How reproducible:
Always

Steps to Reproduce:
1.Tell the tool to listen to :80 and :443 on the first window
    (maybe this is all that's required to create the bug; I don't want to
     undo all the other work I've done in setting this up to test it)
2.Create two ip virtual hosts
3.turn ssl on for one, not for the other
4.attempt to launch httpd
  

Actual Results:  [root@sc init.d]# ./httpd restart
Stopping httpd:                                            [  OK  ]
Starting httpd: (98)Address already in use: make_sock: could not bind to address <my ip address>:443
no listening sockets available, shutting down
Unable to open logs
                           [FAILED]

Expected Results:  The tool should have ensured only one listener on 443 was created 

Additional info:

The tool needs to know about both httpd.conf and ssl.conf. If this is too difficult to fix, the tool help files need to warn about it (the simple solution for me is to remove the listen directive from ssl.conf - so far, it's working OK).
Comment 1 Phil Knirsch 2006-11-20 07:56:06 EST
Last week i've released system-config-httpd-1.4.1 for FC5, FC6 as testing and
put it in FC-devel as well.

Please give it a shot and let me know if this is working for you now.

Thanks,

Read ya, Phil
Comment 2 bob mckay 2008-02-28 07:20:15 EST
Nope, it's still broken exactly the same in F8 (sorry, I had completely forgotten this bug request, only 
rediscovered it when I tried to build a new server in F8; since I assume I was emailed your request for 
feedback, I can only assume it got spam-canned). I think the problem is that system-config-httpd 
writes a new config file, but it is included in, doesn't over-write, the old ones. Since these already have 
Listen commands (for both ports 80 and 443) users get caught. Just google 
"Starting httpd: (98)Address already in use: make_sock: could not bind to address"
There's a ton of comments out there on this, pointing out that the 
Listen 80 line in httpd.conf
Listen 443 line in ssl.conf
need to be commented out if you use the configuration tool. I imagine it isn't trivial to fix, since I 
assume the intention is for the tool to only update its file, not touching the default files. 
Comment 3 Phil Knirsch 2008-02-28 08:35:49 EST
Yea, that was the way s-c-h behaved previously (overwrote the httpd.conf file
completely), but that was just a horrible sysadmin experience.

One thing i could do is to exclude 80 and 443 from the Listen command i add as
those will be enabled by default.

I'm planing a rather big upgrade for s-c-n over the next months anyway, so i'll
make sure to include that as well.

Read ya, Phil
Comment 4 bob mckay 2008-02-29 06:42:53 EST
Right, the problem is, there isn't an 'unlisten' command. Excluding 80 and 443 from the Listen command 
will avoid this specific problem, so httpd will appear to work. But it will mean it's listening on all ip 
addresses on the server, whereas the user will presumably assume that it's listening only on the specific 
virtual servers enabled. I can imagine obscure gotcha's popping out of this down the track. Would it be 
appropriate to warn users of this in the gui?
Comment 5 Bug Zapper 2008-11-26 01:52:53 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Phil Knirsch 2008-11-26 06:32:38 EST
Moving to rawhide, but a rework of s-c-h is planed and i know this is still anm issue.

Thanks & regards, Phil
Comment 7 Bug Zapper 2009-06-09 05:08:00 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-04-27 07:37:38 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-06-28 06:20:47 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.